#### Beyond Linux® From Scratch (System V Edition) - Version 12.3

### Chapter 25. Graphical Environment Libraries

- Prev

  Cairo-1.18.2

- Next

  libcairomm-1.16 (cairomm-1.18.0)

- Up
- Home

# libcairomm-1.0 (cairomm-1.14.5)

## Introduction to libcairomm-1.0

The libcairomm-1.0 package provides a C++ interface to Cairo.

This package is known to build and work properly using an LFS 12.3 platform.

### Package Information

- Download (HTTP): https://www.cairographics.org/releases/cairomm-1.14.5.tar.xz

- Download MD5 sum: 0974ef291d491f22df287f588580677d

- Download size: 638 KB

- Estimated disk space required: 9.5 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

### libcairomm-1.0 Dependencies

#### Required

Cairo-1.18.2 and libsigc++-2.12.1

#### Recommended

Boost-1.87.0 (for tests)

#### Optional

Doxygen-1.13.2

## Installation of libcairomm-1.0

Install Cairomm-1.0 by running the following commands:

    mkdir bld &&
    cd    bld &&

    meson setup ..             \
          --prefix=/usr        \
          --buildtype=release  \
          -D build-tests=true  \
          -D boost-shared=true &&
    ninja

To run the test suite, run: ninja test.

Now, as the `root` user:

    ninja install

## Command Explanations

`-D build-tests=true`: This switch is for building the unit tests. Remove if you have not installed Boost-1.87.0.

`-D boost-shared=true`: This switch has the package use the shared version of boost libraries. It is required if you have not installed the boost static libraries, and you have passed `-D build-tests=true`.

`-D build-documentation=true`: This switch builds the html documentation if doxygen is installed.

## Contents

Installed Programs: None
Installed Library: libcairomm-1.0.so
Installed Directories: /usr/{lib,include}/cairomm-1.0 and /usr/share/{devhelp/books,doc}/cairomm-1.0 (optional)

### Short Descriptions

`libcairomm-1.0.so` | contains the Cairo API classes

- Prev

  Cairo-1.18.2

- Next

  libcairomm-1.16 (cairomm-1.18.0)

- Up
- Home